{ pkgs
, lib
, config
, ... }: with lib; let
  inherit (config.passthrough) gui;
  cfg = config.passthrough.minecraft;
  enable = cfg.enable && config.home.username == cfg.user;
in mkIf enable {
  home.packages = with pkgs; [
    jdk8
  ] ++ optional gui prismlauncher;

  wayland.windowManager.sway.config.window.commands = mkIf gui [
    { criteria.app_id = "org.prismlauncher.PrismLauncher"; command = "floating enable"; }
  ];
}
